package com.edgec.browserbackend.browser.controller;

import com.edgec.browserbackend.account.dto.ResultDto;
import com.edgec.browserbackend.browser.domain.Shop;
import com.edgec.browserbackend.browser.service.ShopService;
import com.edgec.browserbackend.common.commons.error.ClientRequestException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.security.Principal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/shop")
public class ShopController {

    @Autowired
    private ShopService shopService;

    @RequestMapping(value = "/add", method = RequestMethod.POST)
    public ResultDto addShop(Principal principal, @RequestBody Shop shop) {
        ResultDto resultDto = new ResultDto();
        try {
            shopService.addShop(principal.getName(), shop);
            resultDto.setStatus(0);
        }catch (ClientRequestException e) {
            resultDto.setStatus(-1);
            Map<String, Object> statusInfo = new HashMap<>();
            statusInfo.put("code", e.getErrorCode());
            statusInfo.put("message", e.getMessage());
            resultDto.setStatusInfo(statusInfo);
        }
        return resultDto;
    }

    @RequestMapping(value = "/multiadd", method = RequestMethod.POST)
    public List<String> addShops(Principal principal, @RequestBody List<Shop> shops) {
        return null;
    }

    @RequestMapping(value = "/update", method = RequestMethod.POST)
    public String updateShop(Principal principal, Shop shop) {
        return null;
    }

    @RequestMapping(value = "/delete", method = RequestMethod.POST)
    public void deleteShop(String username, String shopId) {
    }

    @RequestMapping(value = "/bind", method = RequestMethod.POST)
    public void bindShop(String username, String shopId, String ipAddr) {

    }

    @RequestMapping(value = "/unbind", method = RequestMethod.POST)
    public void unBindShop(String username, String shopId) {

    }

    @RequestMapping(value = "/transfer", method = RequestMethod.POST)
    public void transferShop(String useranme, String shopId, String groupId) {

    }

    @RequestMapping(value = "/assign", method = RequestMethod.POST)
    public void assignShop(String username, String shopId, List<String> users) {

    }

    @RequestMapping(value = "/list",method = RequestMethod.POST)
    public List<Shop> getShopList(String username, String groupId, int page, int amount, Map<String, String> filter) {
        return null;
    }
}
