package com.edgec.browserbackend.browser.domain;

import com.edgec.browserbackend.browser.dto.Interval;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

@Document(collection = "ipresource")
@JsonIgnoreProperties(ignoreUnknown = true)
public class IpResource {
    @Id
    private String id;
    private String ipAddr;
    private IpType ipType;
    private String ipProvider;
    private String ipRegion;
    private IpStatus ipStatus;
    private List<Interval> ports;
    private long createdAt;
    private long validTime;
    private long leftTime;
    private String details;
    List<String> bindHistory;
    private boolean isDeleted;
    private String owner;
    private String ownerParent;
    private String shopId;
    private String shopName;

    public String getDetails() {
        return details;
    }

    public void setDetails(String details) {
        this.details = details;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getIpRegion() {
        return ipRegion;
    }

    public void setIpRegion(String ipRegion) {
        this.ipRegion = ipRegion;
    }

    public IpStatus getIpStatus() {
        return ipStatus;
    }

    public void setIpStatus(IpStatus ipStatus) {
        this.ipStatus = ipStatus;
    }

    public IpType getIpType() {
        return ipType;
    }

    public void setIpType(IpType ipType) {
        this.ipType = ipType;
    }

    public List<String> getBindHistory() {
        return bindHistory;
    }

    public void setBindHistory(List<String> bindHistory) {
        this.bindHistory = bindHistory;
    }

    public long getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(long createdAt) {
        this.createdAt = createdAt;
    }

    public long getLeftTime() {
        return leftTime;
    }

    public void setLeftTime(long leftTime) {
        this.leftTime = leftTime;
    }

    public long getValidTime() {
        return validTime;
    }

    public void setValidTime(long validTime) {
        this.validTime = validTime;
    }

    public String getIpAddr() {
        return ipAddr;
    }

    public void setIpAddr(String ipAddr) {
        this.ipAddr = ipAddr;
    }

    public String getIpProvider() {
        return ipProvider;
    }

    public void setIpProvider(String ipProvider) {
        this.ipProvider = ipProvider;
    }

    public boolean isDeleted() {
        return isDeleted;
    }

    public void setDeleted(boolean deleted) {
        isDeleted = deleted;
    }

    public List<Interval> getPorts() {
        return ports;
    }

    public void setPorts(List<Interval> ports) {
        this.ports = ports;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public String getOwnerParent() {
        return ownerParent;
    }

    public void setOwnerParent(String ownerParent) {
        this.ownerParent = ownerParent;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }
}
