package com.edgec.browserbackend.browser.domain;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Document(collection = "shop")
@JsonIgnoreProperties(ignoreUnknown = true)
public class Shop {

    @Id
    private String id;

    private String shopName;

    private String owner;

    private TransferStatus transferStatus;

    private String firstGroupId;

    private String link;

    private String shopPlatform;

    private String ipRegion;

    private String ip;

    private String ipId;

    private String shopAccount;

    private String shopPassword;

    public Shop(){

    }

    public Shop of(Shop shop) {
        if (shop.getFirstGroupId() != null)
            this.setFirstGroupId(shop.getFirstGroupId());
        if (shop.getIp() != null)
            this.setIp(shop.getIp());
        if (shop.getIpId() != null)
            this.setIpId(shop.getIpId());
        if (shop.getIpRegion() != null)
            this.setIpRegion(shop.getIpRegion());
        if (shop.getLink() != null)
            this.setLink(shop.getLink());
        if (shop.getOwner() != null)
            this.setOwner(shop.getOwner());
        if (shop.getShopPlatform() != null)
            this.setShopPlatform(shop.getShopPlatform());
        if (shop.getShopName() != null)
            this.setShopName(shop.getShopName());
        if (shop.getTransferStatus() != null)
            this.setTransferStatus(shop.getTransferStatus());
        if (shop.getShopAccount() != null)
            this.setShopAccount(shop.getShopAccount());
        if (shop.getShopPassword() != null)
            this.setShopPassword(shop.getShopPassword());
        return this;
    }

    public String getIp() {
        return ip;
    }

    public String getId() {
        return id;
    }

    public String getFirstGroupId() {
        return firstGroupId;
    }

    public String getIpId() {
        return ipId;
    }

    public String getIpRegion() {
        return ipRegion;
    }

    public String getLink() {
        return link;
    }

    public String getOwner() {
        return owner;
    }

    public String getShopPlatform() {
        return shopPlatform;
    }

    public String getShopName() {
        return shopName;
    }

    public TransferStatus getTransferStatus() {
        return transferStatus;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setFirstGroupId(String firstGroupId) {
        this.firstGroupId = firstGroupId;
    }

    public void setIpId(String ipId) {
        this.ipId = ipId;
    }

    public void setIpRegion(String ipRegion) {
        this.ipRegion = ipRegion;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public void setShopPlatform(String shopPlatform) {
        this.shopPlatform = shopPlatform;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public void setTransferStatus(TransferStatus transferStatus) {
        this.transferStatus = transferStatus;
    }

    public String getShopAccount() {
        return shopAccount;
    }

    public void setShopAccount(String shopAccount) {
        this.shopAccount = shopAccount;
    }

    public String getShopPassword() {
        return shopPassword;
    }

    public void setShopPassword(String shopPassword) {
        this.shopPassword = shopPassword;
    }
}
